Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1)

Unified Diff: tool/command_test.sh

Issue 1886393003: add command test, fix relative paths (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/command/hello.js.map ('k') | tool/test.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/command_test.sh
diff --git a/tool/command_test.sh b/tool/command_test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..a9bec2b0ef578cf10454457991a3e18c13829bdd
--- /dev/null
+++ b/tool/command_test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e # bail on error
+
+# Some tests require being run from the package root
+# switch to the root directory of dev_compiler
+cd $( dirname "${BASH_SOURCE[0]}" )/..
+
+dart -c ./bin/dartdevc.dart compile --no-summarize \
+ -o test/command/hello.js test/command/hello.dart
« no previous file with comments | « test/command/hello.js.map ('k') | tool/test.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698